Package org.opensaml.saml.saml2.metadata

# Interface RequestedAttribute

All Superinterfaces:
  `Attribute`, `AttributeExtensibleXMLObject`, `SAMLObject`, `XMLObject`

All Known Implementing Classes:
  `RequestedAttributeImpl`

public interface RequestedAttribute extends Attribute
SAML 2.0 Metadata RequestedAttribute.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Local name, no namespace.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`IS_REQUIRED_ATTRIB_NAME`
"isRequired" attribute's local name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

### Fields inherited from interface org.opensaml.saml.saml2.core.Attribute

`BASIC, FRIENDLY_NAME_ATTRIB_NAME, NAME_ATTTRIB_NAME, NAME_FORMAT_ATTRIB_NAME, UNSPECIFIED, URI_REFERENCE`

## Method Summary

Modifier and Type
Method
Description
`Boolean`
`isRequired()`
Checks to see if this requested attribute is also required.
`XSBooleanValue`
`isRequiredXSBoolean()`
Checks to see if this requested attribute is also required.
`void`
`setIsRequired(Boolean newIsRequire)`
Sets if this requested attribute is also required.
`void`
`setIsRequired(XSBooleanValue newIsRequire)`
Sets if this requested attribute is also required.

### Methods inherited from interface org.opensaml.saml.saml2.core.Attribute

`getAttributeValues, getFriendlyName, getName, getNameFormat, setFriendlyName, setName, setNameFormat`

### Methods inherited from interface org.opensaml.core.xml.AttributeExtensibleXMLObject

`getUnknownAttributes`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Local name, no namespace.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

### IS_REQUIRED_ATTRIB_NAME

@Nonnull @NotEmpty static final String IS_REQUIRED_ATTRIB_NAME
"isRequired" attribute's local name.

See Also:
  - Constant Field Values

## Method Details

### isRequired

@Nullable Boolean isRequired()
Checks to see if this requested attribute is also required.

Returns:
  true if this attribute is required

### isRequiredXSBoolean

@Nullable XSBooleanValue isRequiredXSBoolean()
Checks to see if this requested attribute is also required.

Returns:
  true if this attribute is required

### setIsRequired

void setIsRequired(@Nullable Boolean newIsRequire)
Sets if this requested attribute is also required. Boolean values will be marshalled to either "true" or "false".

Parameters:
  `newIsRequire` - true if this attribute is required

### setIsRequired

void setIsRequired(@Nullable XSBooleanValue newIsRequire)
Sets if this requested attribute is also required.

Parameters:
  `newIsRequire` - true if this attribute is required